al_drop_next_event(3)

NAME

al_drop_next_event - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_drop_next_event(ALLEGRO_EVENT_QUEUE *queue)

DESCRIPTION

Drop (remove) the next event from the queue. If the queue is empty, nothing happens. Returns true if an event was dropped.

SEE ALSO

al_flush_event_queue(3), al_is_event_queue_empty(3)